<template>
  <footer id="footer">
    <section>
      <b-container>
        <b-row>
          <b-col lg="7">
            <h1
              class="mt-4 mb-3"
              v-html="$t('contact.title')"
            ></h1>
            <b-row>
              <b-col
                md="4"
                cols="6"
              >
                <a
                  :href="$t('lang') === 'fr'
                    ? $t('link.fr.forum')
                    : $t('link.en.forum')"
                >
                  <i class="fas fa-comments"></i>
                  Forum
                </a>
              </b-col>
              <b-col
                md="4"
                cols="6"
              >
                <a
                  href="https://matrix.to/#/#Mobilizon:matrix.org"
                  rel="nofollow"
                >
                  <i class="fac fa-matrix-org"></i>
                  Chat
                </a>
              </b-col>
            </b-row>
            <b-row>
              <b-col
                class="my-3"
                md="8"
              >
                <p
                  class="small"
                  v-html="$t('footer.credits')"
                ></p>
                <p
                  v-show="$route.meta.id === 'news'"
                  class="small mt-n3"
                >
                  <a href="?edit">
                    Edition mode
                  </a>
                </p>
              </b-col>
            </b-row>
          </b-col>
          <b-col lg="5">
            <b-img
              alt=""
              class="d-block mt-4 mx-auto"
              height="45"
              :src="`${$t('baseurl')}img/logo-mbz-yellow.svg`"
            />
            <b-img
              alt=""
              fluid
              :src="`${$t('baseurl')}img/footer/${
                ['a', 'b', 'c', 'd', 'e'][Math.random() * 5 | 0]
              }.jpg`"
            />
          </b-col>
        </b-row>
      </b-container>
    </section>
  </footer>
</template>

<style lang="scss">
#footer {
  &, .container {
    background: #484467;
    margin-bottom: 0;
  }

  h1 {
    font-size: 1.75rem;
  }

  .container, a, h1 {
    color: var(--j-s1) !important;
  }

  i::before {
    color: #fff;
  }
}
</style>
